# $Revision: 1.10 $, $Date: 2011/10/27 19:51:46 $
# TODO
# - sync pl
# - init.d processes
%define		plugin boost
%define		php_min_version 5.2.0
%include	/usr/lib/rpm/macros.php
Summary:	Large Site Performance Booster for Cacti
Summary(pl.UTF-8):	Wtyczka do Cacti - Boost
Name:		cacti-plugin-%{plugin}
Version:	5.1
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://docs.cacti.net/_media/plugin:boost-v%{version}-1.tgz
# Source0-md5:	31bda9b46d933e61bdcd77243928c89c
Patch0:		paths.patch
Patch1:		chmod.patch
URL:		http://docs.cacti.net/plugin:boost
BuildRequires:	rpmbuild(macros) >= 1.553
Requires:	cacti >= 0.8.7g-6
Requires:	cacti(pia) >= 2.8
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-date
Requires:	php-pcre
Requires:	php-session
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		plugindir		%{cactidir}/plugins/%{plugin}
%define		cachedir		/var/cache/cacti/%{plugin}

%description
Cacti plugin that boosts Cacti performance especially for large sites.

This plugin boost's Cacti performance especially for Large Sites. It
does this by introducing three new features to Cacti.

First, it caches recently viewed images to a public Cache folder for
all users to share.

Second, it introduces an "on demand" RRD update feaure to Cacti. This
feature will only update the RRD files when there is demand on the
system to view a graph. The RRD's will be updated just before the
Graph is rendered by the web server. Then, on a predetermined
schedule, it conducts a batch update's of all remaining RRD's.

Lastly, it introduces an RRD update service to Cacti. This service
allows you to add multiple Cacti servers to your web farm allowing all
the servers to participate in the "on demand" RRD update and viewing
process.

%description -l pl.UTF-8
Wtyczka Cacti zwiększająca jego wydajność, szczególnie w przypadku
dużych serwisów.

%prep
%setup -qc
%undos -f php
cd %{plugin}
%patch0 -p1
%patch1 -p1
cd -

mv %{plugin}/{README,LICENSE,cacti_rrdsvc} .

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{plugindir},%{cachedir}}
cp -a %{plugin}/* $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{plugindir}
%attr(770,root,http) %dir %{cachedir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti-plugin-boost.spec,v $
Revision 1.10  2011/10/27 19:51:46  glen
- up to 5.1, update deps

Revision 1.9  2010/12/14 21:40:06  glen
- fix invalid chmod mode

Revision 1.8  2010/12/14 07:15:02  glen
- it needs to read cachedir to purge old cache

Revision 1.7  2010/12/14 06:32:25  glen
- setup cache path

Revision 1.6  2010/12/14 06:12:00  glen
- up to 4.3, enhance desc

Revision 1.5  2010/05/16 14:13:34  sparky
- BR: unzip

Revision 1.4  2008/10/05 11:18:07  glen
- simplify macros and cleanups

Revision 1.3  2008/01/06 18:50:23  qboosh
- pl

Revision 1.2  2007-12-26 13:06:27  glen
- cleanups

Revision 1.1  2007-12-13 13:15:25  wolvverine
- init

Revision 1.4  2007-12-11 16:32:20  wolvverine
- new URL for source, %setup for new zip

Revision 1.3  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.2  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.1  2006/03/27 16:08:13  wolvverine
- moved from cacti-plugin-template.spec

Revision 1.3  2006/03/27 16:00:11  wolvverine
- clean

Revision 1.2  2006/03/27 12:09:10  wolvverine
- clean

Revision 1.1  2006/03/27 12:07:57  wolvverine
- init template
